#source("CornPicture.R",print.eval=TRUE)#
#Draws covariance figure for Corn data
#THIS JUST DRAWS THE INDIVIDUAL REGRESSIONS
data<-read.table("Data/Corn.txt",sep = "",header=T)
Trt<-as.character(data[,1])
Plants<-data[,2]
Yield<-data[,3]
aovdata <- data.frame(Trt, Plants, Yield)
beta1<-lm(Yield[Trt=="M-4"]~Plants[Trt=="M-4"])$coefficients
beta2<-lm(Yield[Trt=="360"]~Plants[Trt=="360"])$coefficients
beta3<-lm(Yield[Trt=="K-24"]~Plants[Trt=="K-24"])$coefficients
beta4<-lm(Yield[Trt=="M-15"]~Plants[Trt=="M-15"])$coefficients
#-------------------Plot-----------------------------------
xplot<-c(10:20)
xrange<-c(10,20)
yrange<-c(6,13)
par(new=F)
plot(xplot,beta1[1]+beta1[2]*xplot, type="l",xlim=xrange,ylim=yrange,xlab="Number of Plants", ylab="Yield",lwd=2)
text(19.5,11.4,expression(M-4),cex=1.15)
par(new=T)
plot(xplot,beta2[1]+beta2[2]*xplot, type="l",xlim=xrange,ylim=yrange,xlab="",ylab="",lwd=2)
text(18.5,10.1,expression(360),cex=1.15)
par(new=T)
plot(xplot,beta3[1]+beta3[2]*xplot, type="l",xlim=xrange,ylim=yrange,xlab="",ylab="",lwd=2)
text(12,6.5,expression(K-24),cex=1.15)
par(new=T)
plot(xplot,beta4[1]+beta4[2]*xplot, type="l",xlim=xrange,ylim=yrange,xlab="",ylab="",lwd=2)
text(17,9,expression(M-15),cex=1.15)