#source("CornPicture2.R",print.eval=TRUE)#
#Draws covariance figure for Corn data
data<-read.table("Data/Corn.txt",sep = "",header=T)
Trt<-as.character(data[,1])
Plants<-data[,2]
Yield<-data[,3]
aovdata <- data.frame(Trt, Plants, Yield)
Yt1<-tapply(Yield,Trt,mean)[1]*c(rep(1,times=6),rep(0,times=18))
Yt2<-tapply(Yield,Trt,mean)[2]*c(rep(0,times=6),rep(1,times=6),rep(0,times=12))
Yt3<-tapply(Yield,Trt,mean)[3]*c(rep(0,times=12),rep(1,times=6),rep(0,times=6))
Yt4<-tapply(Yield,Trt,mean)[4]*c(rep(0,times=18),rep(1,times=6))
Yadj<-Yield-(Yt1+Yt2+Yt3+Yt4)
Xt1<-tapply(Plants,Trt,mean)[1]*c(rep(1,times=6),rep(0,times=18))
Xt2<-tapply(Plants,Trt,mean)[2]*c(rep(0,times=6),rep(1,times=6),rep(0,times=12))
Xt3<-tapply(Plants,Trt,mean)[3]*c(rep(0,times=12),rep(1,times=6),rep(0,times=6))
Xt4<-tapply(Plants,Trt,mean)[4]*c(rep(0,times=18),rep(1,times=6))
Xadj<-Plants-(Xt1+Xt2+Xt3+Xt4)
beta1<-lm(Yadj~Xadj)$coefficient[2]
#-------------------Plot-----------------------------------
xplot<-c(10:20)
xrange<-c(10,20)
yrange<-c(6,13)
mX<-mean(Plants)
par(new=F)
par(mfrow=c(1,2))
for(i in 1:4)
{
Ym<-tapply(Yield,Trt,mean)[i]
Xm<-tapply(Plants,Trt,mean)[i]
plot(xplot,Ym+beta1*(xplot-mX), type="l",xlim=xrange,ylim=yrange,xlab="Number of Plants", ylab="Yield",lwd=2,main="Adjusted")
lines(x=c(Xm,Xm),y=c(5,Ym+beta1*(Xm-mX)),lty=3,lwd=2)
lines(x=c(10,Xm),y=c(Ym+beta1*(Xm-mX),Ym+beta1*(Xm-mX)),lty=3,lwd=2)
par(new=T)
}
Ymu<-tapply(Yield,Trt,mean)
Ymadj<-Ymu+beta1*(tapply(Plants,Trt,mean)-mX)
text(12,Ymadj[1]+.25,expression(360),cex=1)
text(12,Ymadj[2]+.25,expression(K-24),cex=1)
text(13.25,Ymadj[3]+.25,expression(M-15),cex=1)
text(12,Ymadj[4]+.25,expression(M-4),cex=1)
par(new=F)
for(i in 1:4)
{
Ym<-tapply(Yield,Trt,mean)[i]
Xm<-tapply(Plants,Trt,mean)[i]
plot(xplot,Ym+beta1*(xplot-mX), type="l",xlim=xrange,ylim=yrange,xlab="Number of Plants", ylab="Yield",lwd=2,main="Unadjusted")
lines(x=c(mX,mX),y=c(5,Ym),lty=3,lwd=2)
lines(x=c(10,mX),y=c(Ym,Ym),lty=3,lwd=2)
par(new=T)
}
text(12,Ymu[1]+.25,expression(360),cex=1)
text(12,Ymu[2]+.25,expression(K-24),cex=1)
text(11,Ymu[3]+.25,expression(M-15),cex=1)
text(12,Ymu[4]-.25,expression(M-4),cex=1)
stdu<-sqrt((46.765/20)/6)*rep(1,times=4)
stdadj<-sqrt((25.03634/19)*((1/6)+(tapply(Plants,Trt,mean)-mX)^2/117.833))
round(rbind(Ymu,stdu,Ymadj,stdadj),3)

#---------Testing the contrast M-15 against the others------------
contr<-c(-1/3,-1/3,1,-1/3)
#----------unadjusted--------------------------------------------
sum(Ymu*contr)/stdu[1]*sqrt(sum(contr^2))
#----------adjusted--------------------------------------------
sum(Ymadj*contr)/sqrt((25.03634/19)*(sum(contr^2)/6)+(sum(tapply(Plants,Trt,mean)*contr))^2/117.833)
