########################Does anova and FDR forStem Cell Data - RCB################
##################################################################################
#source("StemCells-RCB.R",print.eval=TRUE)#
data<-read.table("Data/StemCells.txt",sep = "",header=T)
Block<-as.character(data[,1])
Treatment<-as.character(data[,2])
ExpLevel<-data[,3:dim(data)[2]]
aovdata <- data.frame(ExpLevel,Block,Treatment)
#--------RCB ANOVA ---------------------
#---------This gives the correct anova table with pooled error----------------
GeneAov<-aov(log(ExpLevel[,3])~Block+Treatment,data=aovdata)
summary(GeneAov)
Pvalue<-summary(GeneAov)[[1]][[5]][[2]]
print(Pvalue)
#---------Now we loop and save the p-values---------------------------
nGene<- dim(ExpLevel)[2]
Pvalue<-array(0, dim=c(1,nGene))
for(i in 1:nGene)
	{GeneAov<-aov(log(ExpLevel[,i])~Block+Treatment,data=aovdata)
	 Pvalue[i]<-summary(GeneAov)[[1]][[5]][[2]]
	 }
#----------------Make nice plot-------------------------------------
alpha=.05
op<-order(Pvalue)
plot(Pvalue[op], ylim=c(0,alpha))
Q<-.05*seq(1,nGene,1)/nGene
par(new=T)
plot(Q, ylim=c(0,alpha),type="l",ylab="")
#---------------Find Crossing Point---------------------------------
print(cbind(round(Pvalue[op],5),Q)) # They cross at 99
sort(op[1:99])
##################################################################################